Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIFS

    java.lang.Object
      org.basex.gui.GUIFS

    public final class GUIFS

extends java.lang.Object

This class organizes icons and data types for common file types.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Nested Class Summary
`static class` | `GUIFS.Type` File Types.

Field Summary
`static java.awt.Image[]` | `folder1` Closed folder.
`static java.awt.Image[]` | `folder2` Opened folder.

Method Summary
`static java.lang.String` | `desc(byte[] suffix)` Returns the description for the specified file.
`static java.lang.String` | `desc(byte[] name, boolean dir)` Returns the description for the specified file.
`static java.awt.Image` | `images(byte[] name, boolean big)` Returns the suffix image for the specified file.
`static java.awt.Image` | `images(byte[] name, int n)` Returns the suffix image for the specified file.
`static void` | `init()` Initializes the file types and references them in a hash map.
`static GUIFS.Type` | `mime(byte[] name)` Returns the suffix image for the specified file.
`static int` | `type(byte[] name)` Returns the file type for the specified filename.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### folder1

    public static java.awt.Image[] folder1

  Closed folder.

### folder2

    public static java.awt.Image[] folder2

  Opened folder.

Method Detail

### desc

    public static java.lang.String desc(byte[] suffix)

  Returns the description for the specified file.

  Parameters:
    `suffix` - file suffix
  Returns:
    description

### desc

    public static java.lang.String desc(byte[] name,
                                        boolean dir)

  Returns the description for the specified file.

  Parameters:
    `name` - file name
    `dir` - directory
  Returns:
    description

### images

    public static java.awt.Image images(byte[] name,
                                        boolean big)

  Returns the suffix image for the specified file.

  Parameters:
    `name` - file name
    `big` - small/big image
  Returns:
    image

### images

    public static java.awt.Image images(byte[] name,
                                        int n)

  Returns the suffix image for the specified file.

  Parameters:
    `name` - file name
    `n` - image offset (0/1)
  Returns:
    image

### init

    public static void init()

  Initializes the file types and references them in a hash map.

### mime

    public static GUIFS.Type mime(byte[] name)

  Returns the suffix image for the specified file.

  Parameters:
    `name` - file name
  Returns:
    image

### type

    public static int type(byte[] name)

  Returns the file type for the specified filename.

  Parameters:
    `name` - file name
  Returns:
    type

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD